Main Page | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members

# TAO_PSDL_String Class Reference

Wrapper for the ACE_CString to facilitate saving the string persistently. More...

`#include <PSDL_String.h>`

Collaboration diagram for TAO_PSDL_String:

[legend]
List of all members.

## Public Member Functions
| TAO_PSDL_String (void)
| Constructor.
| TAO_PSDL_String (ACE_Allocator *persistent_allocator)
| Constructor.
| TAO_PSDL_String (const TAO_PSDL_String &rhs)
| Copy constructor.
| ~TAO_PSDL_String (void)
| Destructor.
void | operator= (const TAO_PSDL_String &rhs)
| Assignment operator.
void | operator= (const ACE_CString &rhs)
bool | operator== (const TAO_PSDL_String &rhs) const
| Equality comparison operator.
bool | operator!= (const TAO_PSDL_String &rhs) const
| Inequality comparison operator.
u_long | hash (void) const
| Returns a hash value for this string.
| operator ACE_CString * () const
| operator ACE_CString * ()
## Public Attributes
ACE_Allocator * | allocator_
const char * | buffer_
CORBA::ULong | length_

## Detailed Description

Wrapper for the ACE_CString to facilitate saving the string persistently.

## Constructor & Destructor Documentation

TAO_PSDL_String::TAO_PSDL_String | ( | void |  | ) |

| Constructor.

TAO_PSDL_String::TAO_PSDL_String | ( | ACE_Allocator * | persistent_allocator | ) |

| Constructor.

TAO_PSDL_String::TAO_PSDL_String | ( | const TAO_PSDL_String & | rhs | ) |

| Copy constructor.

TAO_PSDL_String::~TAO_PSDL_String | ( | void |  | ) |

| Destructor.

## Member Function Documentation

u_long TAO_PSDL_String::hash | ( | void |  | ) | const

| Returns a hash value for this string.

TAO_PSDL_String::operator ACE_CString * | ( |  | ) |

TAO_PSDL_String::operator ACE_CString * | ( |  | ) | const

bool TAO_PSDL_String::operator!= | ( | const TAO_PSDL_String & | rhs | ) | const

| Inequality comparison operator.

void TAO_PSDL_String::operator= | ( | const ACE_CString & | rhs | ) |

void TAO_PSDL_String::operator= | ( | const TAO_PSDL_String & | rhs | ) |

| Assignment operator.

bool TAO_PSDL_String::operator== | ( | const TAO_PSDL_String & | rhs | ) | const

| Equality comparison operator.

## Member Data Documentation

ACE_Allocator* TAO_PSDL_String::allocator_

const char* TAO_PSDL_String::buffer_

CORBA::ULong TAO_PSDL_String::length_

The documentation for this class was generated from the following files:

- PSDL_String.h
- PSDL_String.cpp